import { AdapterConfigMetadata as $64$luvio_engine_AdapterConfigMetadata, Luvio as $64$luvio_engine_Luvio, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata, Fragment as $64$luvio_engine_Fragment, Snapshot as $64$luvio_engine_Snapshot, FetchResponse as $64$luvio_engine_FetchResponse, ErrorResponse as $64$luvio_engine_ErrorResponse, DispatchResourceRequestContext as $64$luvio_engine_DispatchResourceRequestContext, CoercedAdapterRequestContext as $64$luvio_engine_CoercedAdapterRequestContext, StoreLookup as $64$luvio_engine_StoreLookup, AdapterFactory as $64$luvio_engine_AdapterFactory } from '@luvio/engine';
import { Untrusted as adapter$45$utils_Untrusted, AdapterValidationConfig as adapter$45$utils_AdapterValidationConfig } from './adapter-utils';
import { ResourceRequestConfig as resources_getUiApiNavItems_ResourceRequestConfig } from '../resources/getUiApiNavItems';
import { NavItemsRepresentation as types_NavItemsRepresentation_NavItemsRepresentation } from '../types/NavItemsRepresentation';
export declare const adapterName = "getNavItems";
export declare const getNavItems_ConfigPropertyMetadata: $64$luvio_engine_AdapterConfigMetadata[];
export declare const getNavItems_ConfigPropertyNames: adapter$45$utils_AdapterValidationConfig;
export interface GetNavItemsConfig {
    formFactor?: string;
    navItemNames?: Array<string>;
    page?: number;
    pageSize?: number;
}
export declare const createResourceParams: (config: GetNavItemsConfig) => resources_getUiApiNavItems_ResourceRequestConfig;
export declare function keyBuilder(luvio: $64$luvio_engine_Luvio, config: GetNavItemsConfig): string;
export declare function keyBuilder_StructuredKey(luvio: $64$luvio_engine_Luvio, config: GetNavItemsConfig): $64$luvio_engine_NormalizedKeyMetadata;
export declare function typeCheckConfig(untrustedConfig: adapter$45$utils_Untrusted<GetNavItemsConfig>): adapter$45$utils_Untrusted<GetNavItemsConfig>;
export declare function validateAdapterConfig(untrustedConfig: unknown, configPropertyNames: adapter$45$utils_AdapterValidationConfig): GetNavItemsConfig | null;
export declare function adapterFragment(luvio: $64$luvio_engine_Luvio, config: GetNavItemsConfig): $64$luvio_engine_Fragment;
export declare function buildCachedSnapshot(luvio: $64$luvio_engine_Luvio, config: GetNavItemsConfig): $64$luvio_engine_Snapshot<types_NavItemsRepresentation_NavItemsRepresentation, any>;
export declare function onFetchResponseSuccess(luvio: $64$luvio_engine_Luvio, config: GetNavItemsConfig, resourceParams: resources_getUiApiNavItems_ResourceRequestConfig, response: $64$luvio_engine_FetchResponse<types_NavItemsRepresentation_NavItemsRepresentation>): Promise<import("@luvio/engine").FulfilledSnapshot<types_NavItemsRepresentation_NavItemsRepresentation, {}> | import("@luvio/engine").StaleSnapshot<types_NavItemsRepresentation_NavItemsRepresentation, {}> | import("@luvio/engine").PendingSnapshot<types_NavItemsRepresentation_NavItemsRepresentation, any>>;
export declare function onFetchResponseError(luvio: $64$luvio_engine_Luvio, config: GetNavItemsConfig, resourceParams: resources_getUiApiNavItems_ResourceRequestConfig, response: $64$luvio_engine_ErrorResponse): Promise<import("@luvio/engine").ErrorSnapshot>;
export declare function buildNetworkSnapshot(luvio: $64$luvio_engine_Luvio, config: GetNavItemsConfig, options?: $64$luvio_engine_DispatchResourceRequestContext): Promise<$64$luvio_engine_Snapshot<types_NavItemsRepresentation_NavItemsRepresentation, any>>;
export type BuildSnapshotContext = {
    luvio: $64$luvio_engine_Luvio;
    config: GetNavItemsConfig;
};
export declare function buildNetworkSnapshotCachePolicy(context: BuildSnapshotContext, coercedAdapterRequestContext: $64$luvio_engine_CoercedAdapterRequestContext): Promise<$64$luvio_engine_Snapshot<types_NavItemsRepresentation_NavItemsRepresentation, any>>;
export declare function buildCachedSnapshotCachePolicy(context: BuildSnapshotContext, storeLookup: $64$luvio_engine_StoreLookup<types_NavItemsRepresentation_NavItemsRepresentation>): $64$luvio_engine_Snapshot<types_NavItemsRepresentation_NavItemsRepresentation, any>;
export declare const getNavItemsAdapterFactory: $64$luvio_engine_AdapterFactory<GetNavItemsConfig, types_NavItemsRepresentation_NavItemsRepresentation>;
