import { AdapterConfigMetadata as $64$luvio_engine_AdapterConfigMetadata, Luvio as $64$luvio_engine_Luvio, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata, Fragment as $64$luvio_engine_Fragment, Snapshot as $64$luvio_engine_Snapshot, FetchResponse as $64$luvio_engine_FetchResponse, ErrorResponse as $64$luvio_engine_ErrorResponse, DispatchResourceRequestContext as $64$luvio_engine_DispatchResourceRequestContext, CoercedAdapterRequestContext as $64$luvio_engine_CoercedAdapterRequestContext, StoreLookup as $64$luvio_engine_StoreLookup, AdapterFactory as $64$luvio_engine_AdapterFactory } from '@luvio/engine';
import { UncoercedConfiguration as adapter$45$utils_UncoercedConfiguration, Untrusted as adapter$45$utils_Untrusted, AdapterValidationConfig as adapter$45$utils_AdapterValidationConfig } from './adapter-utils';
import { ResourceRequestConfig as resources_getUiApiRecordsByRecordId_ResourceRequestConfig } from '../resources/getUiApiRecordsByRecordId';
import { KeyParams as types_RecordRepresentation_KeyParams, RecordRepresentation as types_RecordRepresentation_RecordRepresentation } from '../types/RecordRepresentation';
export declare const adapterName = "getRecord";
export declare const getRecord_ConfigPropertyMetadata: $64$luvio_engine_AdapterConfigMetadata[];
export declare const getRecord_ConfigPropertyNames: adapter$45$utils_AdapterValidationConfig;
export interface GetRecordConfig {
    recordId: string;
    childRelationships?: Array<string>;
    fields?: Array<string>;
    forms?: Array<string>;
    layoutTypes?: Array<string>;
    modes?: Array<string>;
    optionalFields?: Array<string>;
    pageSize?: number;
    updateMru?: boolean;
}
export declare const createResourceParams: (config: GetRecordConfig) => resources_getUiApiRecordsByRecordId_ResourceRequestConfig;
export declare function coerceKeyParam(config: adapter$45$utils_UncoercedConfiguration<types_RecordRepresentation_KeyParams, any>): types_RecordRepresentation_KeyParams;
export declare function keyBuilder(luvio: $64$luvio_engine_Luvio, config: GetRecordConfig): string;
export declare function keyBuilder_StructuredKey(luvio: $64$luvio_engine_Luvio, config: GetRecordConfig): $64$luvio_engine_NormalizedKeyMetadata;
export declare function typeCheckConfig(untrustedConfig: adapter$45$utils_Untrusted<GetRecordConfig>): adapter$45$utils_Untrusted<GetRecordConfig>;
export declare function validateAdapterConfig(untrustedConfig: unknown, configPropertyNames: adapter$45$utils_AdapterValidationConfig): GetRecordConfig | null;
export declare function adapterFragment(luvio: $64$luvio_engine_Luvio, config: GetRecordConfig): $64$luvio_engine_Fragment;
export declare function buildCachedSnapshot(luvio: $64$luvio_engine_Luvio, config: GetRecordConfig): $64$luvio_engine_Snapshot<types_RecordRepresentation_RecordRepresentation, any>;
export declare function onFetchResponseSuccess(luvio: $64$luvio_engine_Luvio, config: GetRecordConfig, resourceParams: resources_getUiApiRecordsByRecordId_ResourceRequestConfig, response: $64$luvio_engine_FetchResponse<types_RecordRepresentation_RecordRepresentation>): Promise<import("@luvio/engine").FulfilledSnapshot<types_RecordRepresentation_RecordRepresentation, {}> | import("@luvio/engine").StaleSnapshot<types_RecordRepresentation_RecordRepresentation, {}> | import("@luvio/engine").PendingSnapshot<types_RecordRepresentation_RecordRepresentation, any>>;
export declare function onFetchResponseError(luvio: $64$luvio_engine_Luvio, config: GetRecordConfig, resourceParams: resources_getUiApiRecordsByRecordId_ResourceRequestConfig, response: $64$luvio_engine_ErrorResponse): Promise<import("@luvio/engine").ErrorSnapshot>;
export declare function buildNetworkSnapshot(luvio: $64$luvio_engine_Luvio, config: GetRecordConfig, options?: $64$luvio_engine_DispatchResourceRequestContext): Promise<$64$luvio_engine_Snapshot<types_RecordRepresentation_RecordRepresentation, any>>;
export type BuildSnapshotContext = {
    luvio: $64$luvio_engine_Luvio;
    config: GetRecordConfig;
};
export declare function buildNetworkSnapshotCachePolicy(context: BuildSnapshotContext, coercedAdapterRequestContext: $64$luvio_engine_CoercedAdapterRequestContext): Promise<$64$luvio_engine_Snapshot<types_RecordRepresentation_RecordRepresentation, any>>;
export declare function buildCachedSnapshotCachePolicy(context: BuildSnapshotContext, storeLookup: $64$luvio_engine_StoreLookup<types_RecordRepresentation_RecordRepresentation>): $64$luvio_engine_Snapshot<types_RecordRepresentation_RecordRepresentation, any>;
export declare const getRecordAdapterFactory: $64$luvio_engine_AdapterFactory<GetRecordConfig, types_RecordRepresentation_RecordRepresentation>;
export declare const notifyChangeFactory: (luvio: $64$luvio_engine_Luvio, options?: $64$luvio_engine_DispatchResourceRequestContext) => (configs: adapter$45$utils_UncoercedConfiguration<types_RecordRepresentation_KeyParams, any>[]) => void;
