import { AdapterConfigMetadata as $64$luvio_engine_AdapterConfigMetadata, Luvio as $64$luvio_engine_Luvio, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata, Fragment as $64$luvio_engine_Fragment, Snapshot as $64$luvio_engine_Snapshot, FetchResponse as $64$luvio_engine_FetchResponse, ErrorResponse as $64$luvio_engine_ErrorResponse, DispatchResourceRequestContext as $64$luvio_engine_DispatchResourceRequestContext, CoercedAdapterRequestContext as $64$luvio_engine_CoercedAdapterRequestContext, StoreLookup as $64$luvio_engine_StoreLookup, AdapterFactory as $64$luvio_engine_AdapterFactory } from '@luvio/engine';
import { Untrusted as adapter$45$utils_Untrusted, AdapterValidationConfig as adapter$45$utils_AdapterValidationConfig } from './adapter-utils';
import { ResourceRequestConfig as resources_getUiApiRecordsBatchByRecordIds_ResourceRequestConfig } from '../resources/getUiApiRecordsBatchByRecordIds';
import { GetRecordsConfig as raml$45$artifacts_adapters_getRecords_GetRecordsConfig_GetRecordsConfig } from '../../raml-artifacts/adapters/getRecords/GetRecordsConfig';
import { BatchRepresentation as types_BatchRepresentation_BatchRepresentation } from '../types/BatchRepresentation';
export declare const adapterName = "getRecords";
export declare const getRecords_ConfigPropertyMetadata: $64$luvio_engine_AdapterConfigMetadata[];
export declare const getRecords_ConfigPropertyNames: adapter$45$utils_AdapterValidationConfig;
export interface GetRecordsConfig {
    recordIds: Array<string>;
    childRelationships?: Array<string>;
    fields?: Array<string>;
    layoutTypes?: Array<string>;
    modes?: Array<string>;
    optionalFields?: Array<string>;
    pageSize?: number;
    updateMru?: boolean;
}
export declare const createResourceParams: (config: GetRecordsConfig) => resources_getUiApiRecordsBatchByRecordIds_ResourceRequestConfig;
export declare function keyBuilder(luvio: $64$luvio_engine_Luvio, config: raml$45$artifacts_adapters_getRecords_GetRecordsConfig_GetRecordsConfig): string;
export declare function keyBuilder_StructuredKey(luvio: $64$luvio_engine_Luvio, config: raml$45$artifacts_adapters_getRecords_GetRecordsConfig_GetRecordsConfig): $64$luvio_engine_NormalizedKeyMetadata;
export declare function typeCheckConfig(untrustedConfig: adapter$45$utils_Untrusted<GetRecordsConfig>): adapter$45$utils_Untrusted<GetRecordsConfig>;
export declare function validateAdapterConfig(untrustedConfig: unknown, configPropertyNames: adapter$45$utils_AdapterValidationConfig): raml$45$artifacts_adapters_getRecords_GetRecordsConfig_GetRecordsConfig | null;
export declare function adapterFragment(luvio: $64$luvio_engine_Luvio, config: raml$45$artifacts_adapters_getRecords_GetRecordsConfig_GetRecordsConfig): $64$luvio_engine_Fragment;
export declare function buildCachedSnapshot(luvio: $64$luvio_engine_Luvio, config: raml$45$artifacts_adapters_getRecords_GetRecordsConfig_GetRecordsConfig): $64$luvio_engine_Snapshot<types_BatchRepresentation_BatchRepresentation, any>;
export declare function onFetchResponseSuccess(luvio: $64$luvio_engine_Luvio, config: raml$45$artifacts_adapters_getRecords_GetRecordsConfig_GetRecordsConfig, resourceParams: resources_getUiApiRecordsBatchByRecordIds_ResourceRequestConfig, response: $64$luvio_engine_FetchResponse<types_BatchRepresentation_BatchRepresentation>): Promise<import("@luvio/engine").FulfilledSnapshot<types_BatchRepresentation_BatchRepresentation, any> | import("@luvio/engine").StaleSnapshot<types_BatchRepresentation_BatchRepresentation, any> | import("@luvio/engine").PendingSnapshot<types_BatchRepresentation_BatchRepresentation, any>>;
export declare function onFetchResponseError(luvio: $64$luvio_engine_Luvio, config: raml$45$artifacts_adapters_getRecords_GetRecordsConfig_GetRecordsConfig, resourceParams: resources_getUiApiRecordsBatchByRecordIds_ResourceRequestConfig, response: $64$luvio_engine_ErrorResponse): Promise<import("@luvio/engine").ErrorSnapshot>;
export declare function buildNetworkSnapshot(luvio: $64$luvio_engine_Luvio, config: raml$45$artifacts_adapters_getRecords_GetRecordsConfig_GetRecordsConfig, options?: $64$luvio_engine_DispatchResourceRequestContext): Promise<$64$luvio_engine_Snapshot<types_BatchRepresentation_BatchRepresentation, any>>;
export type BuildSnapshotContext = {
    luvio: $64$luvio_engine_Luvio;
    config: raml$45$artifacts_adapters_getRecords_GetRecordsConfig_GetRecordsConfig;
};
export declare function buildNetworkSnapshotCachePolicy(context: BuildSnapshotContext, coercedAdapterRequestContext: $64$luvio_engine_CoercedAdapterRequestContext): Promise<$64$luvio_engine_Snapshot<types_BatchRepresentation_BatchRepresentation, any>>;
export declare function buildCachedSnapshotCachePolicy(context: BuildSnapshotContext, storeLookup: $64$luvio_engine_StoreLookup<types_BatchRepresentation_BatchRepresentation>): $64$luvio_engine_Snapshot<types_BatchRepresentation_BatchRepresentation, any>;
export declare const getRecordsAdapterFactory: $64$luvio_engine_AdapterFactory<raml$45$artifacts_adapters_getRecords_GetRecordsConfig_GetRecordsConfig, types_BatchRepresentation_BatchRepresentation>;
