import { AdapterConfigMetadata as $64$luvio_engine_AdapterConfigMetadata, Luvio as $64$luvio_engine_Luvio, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata, Fragment as $64$luvio_engine_Fragment, Snapshot as $64$luvio_engine_Snapshot, FetchResponse as $64$luvio_engine_FetchResponse, ErrorResponse as $64$luvio_engine_ErrorResponse, UnfulfilledSnapshot as $64$luvio_engine_UnfulfilledSnapshot, DispatchResourceRequestContext as $64$luvio_engine_DispatchResourceRequestContext, CoercedAdapterRequestContext as $64$luvio_engine_CoercedAdapterRequestContext, StoreLookup as $64$luvio_engine_StoreLookup, AdapterFactory as $64$luvio_engine_AdapterFactory } from '@luvio/engine';
import { Untrusted as adapter$45$utils_Untrusted, AdapterValidationConfig as adapter$45$utils_AdapterValidationConfig } from './adapter-utils';
import { ResourceRequestConfig as resources_postUiApiRelatedListRecordsByParentRecordIdAndRelatedListId_ResourceRequestConfig, createResourceRequest as resources_postUiApiRelatedListRecordsByParentRecordIdAndRelatedListId_createResourceRequest } from '../resources/postUiApiRelatedListRecordsByParentRecordIdAndRelatedListId';
import { RelatedListRecordCollectionRepresentation as types_RelatedListRecordCollectionRepresentation_RelatedListRecordCollectionRepresentation } from '../types/RelatedListRecordCollectionRepresentation';
export declare const adapterName = "getRelatedListRecords";
export declare const getRelatedListRecords_ConfigPropertyMetadata: $64$luvio_engine_AdapterConfigMetadata[];
export declare const getRelatedListRecords_ConfigPropertyNames: adapter$45$utils_AdapterValidationConfig;
export interface GetRelatedListRecordsConfig {
    parentRecordId: string;
    relatedListId: string;
    fields?: Array<string>;
    optionalFields?: Array<string>;
    pageSize?: number;
    pageToken?: string;
    sortBy?: Array<string>;
    where?: string;
}
export declare const createResourceParams: (config: GetRelatedListRecordsConfig) => resources_postUiApiRelatedListRecordsByParentRecordIdAndRelatedListId_ResourceRequestConfig;
export declare function keyBuilder(luvio: $64$luvio_engine_Luvio, config: GetRelatedListRecordsConfig): string;
export declare function keyBuilder_StructuredKey(luvio: $64$luvio_engine_Luvio, config: GetRelatedListRecordsConfig): $64$luvio_engine_NormalizedKeyMetadata;
export declare function typeCheckConfig(untrustedConfig: adapter$45$utils_Untrusted<GetRelatedListRecordsConfig>): adapter$45$utils_Untrusted<GetRelatedListRecordsConfig>;
export declare function validateAdapterConfig(untrustedConfig: unknown, configPropertyNames: adapter$45$utils_AdapterValidationConfig): GetRelatedListRecordsConfig | null;
export declare function adapterFragment(luvio: $64$luvio_engine_Luvio, config: GetRelatedListRecordsConfig): $64$luvio_engine_Fragment;
export declare function buildCachedSnapshot(luvio: $64$luvio_engine_Luvio, config: GetRelatedListRecordsConfig): $64$luvio_engine_Snapshot<types_RelatedListRecordCollectionRepresentation_RelatedListRecordCollectionRepresentation, any>;
export declare function onFetchResponseSuccess(luvio: $64$luvio_engine_Luvio, config: GetRelatedListRecordsConfig, resourceParams: resources_postUiApiRelatedListRecordsByParentRecordIdAndRelatedListId_ResourceRequestConfig, response: $64$luvio_engine_FetchResponse<types_RelatedListRecordCollectionRepresentation_RelatedListRecordCollectionRepresentation>): Promise<import("@luvio/engine").FulfilledSnapshot<types_RelatedListRecordCollectionRepresentation_RelatedListRecordCollectionRepresentation, {}> | import("@luvio/engine").StaleSnapshot<types_RelatedListRecordCollectionRepresentation_RelatedListRecordCollectionRepresentation, {}> | import("@luvio/engine").PendingSnapshot<types_RelatedListRecordCollectionRepresentation_RelatedListRecordCollectionRepresentation, any>>;
export declare function onFetchResponseError(luvio: $64$luvio_engine_Luvio, config: GetRelatedListRecordsConfig, resourceParams: resources_postUiApiRelatedListRecordsByParentRecordIdAndRelatedListId_ResourceRequestConfig, response: $64$luvio_engine_ErrorResponse): Promise<import("@luvio/engine").ErrorSnapshot>;
export declare function prepareRequest(luvio: $64$luvio_engine_Luvio, config: GetRelatedListRecordsConfig, resourceParams: resources_postUiApiRelatedListRecordsByParentRecordIdAndRelatedListId_ResourceRequestConfig, cacheSnapshot?: $64$luvio_engine_UnfulfilledSnapshot<types_RelatedListRecordCollectionRepresentation_RelatedListRecordCollectionRepresentation>): ReturnType<typeof resources_postUiApiRelatedListRecordsByParentRecordIdAndRelatedListId_createResourceRequest>;
export declare function buildNetworkSnapshot(luvio: $64$luvio_engine_Luvio, config: GetRelatedListRecordsConfig, options?: $64$luvio_engine_DispatchResourceRequestContext, cacheSnapshot?: $64$luvio_engine_UnfulfilledSnapshot<types_RelatedListRecordCollectionRepresentation_RelatedListRecordCollectionRepresentation>): Promise<$64$luvio_engine_Snapshot<types_RelatedListRecordCollectionRepresentation_RelatedListRecordCollectionRepresentation, any>>;
export type BuildSnapshotContext = {
    luvio: $64$luvio_engine_Luvio;
    config: GetRelatedListRecordsConfig;
    cacheSnapshot?: $64$luvio_engine_UnfulfilledSnapshot<types_RelatedListRecordCollectionRepresentation_RelatedListRecordCollectionRepresentation>;
};
export declare function buildNetworkSnapshotCachePolicy(context: BuildSnapshotContext, coercedAdapterRequestContext: $64$luvio_engine_CoercedAdapterRequestContext): Promise<$64$luvio_engine_Snapshot<types_RelatedListRecordCollectionRepresentation_RelatedListRecordCollectionRepresentation, any>>;
export declare function buildCachedSnapshotCachePolicy(context: BuildSnapshotContext, storeLookup: $64$luvio_engine_StoreLookup<types_RelatedListRecordCollectionRepresentation_RelatedListRecordCollectionRepresentation>): $64$luvio_engine_Snapshot<types_RelatedListRecordCollectionRepresentation_RelatedListRecordCollectionRepresentation, any>;
export declare const getRelatedListRecordsAdapterFactory: $64$luvio_engine_AdapterFactory<GetRelatedListRecordsConfig, types_RelatedListRecordCollectionRepresentation_RelatedListRecordCollectionRepresentation>;
