import { AdapterConfigMetadata as $64$luvio_engine_AdapterConfigMetadata, Luvio as $64$luvio_engine_Luvio, DispatchResourceRequestContext as $64$luvio_engine_DispatchResourceRequestContext, AdapterFactory as $64$luvio_engine_AdapterFactory } from '@luvio/engine';
import { Untrusted as adapter$45$utils_Untrusted, AdapterValidationConfig as adapter$45$utils_AdapterValidationConfig } from './adapter-utils';
import { ResourceRequestConfig as resources_patchUiApiRecordsByRecordId_ResourceRequestConfig } from '../resources/patchUiApiRecordsByRecordId';
import { RecordRepresentation as types_RecordRepresentation_RecordRepresentation } from '../types/RecordRepresentation';
export declare const adapterName = "updateRecord";
export declare const updateRecord_ConfigPropertyMetadata: $64$luvio_engine_AdapterConfigMetadata[];
export declare const updateRecord_ConfigPropertyNames: adapter$45$utils_AdapterValidationConfig;
export interface UpdateRecordConfig {
    recordId: string;
    handleOwnerChange?: boolean;
    triggerOtherEmail?: boolean;
    triggerUserEmail?: boolean;
    useDefaultRule?: boolean;
    ifUnmodifiedSince?: string;
    allowSaveOnDuplicate?: boolean;
    apiName?: string;
    fields: {
        [key: string]: string | number | null | boolean;
    };
}
export declare const createResourceParams: (config: UpdateRecordConfig) => resources_patchUiApiRecordsByRecordId_ResourceRequestConfig;
export declare function typeCheckConfig(untrustedConfig: adapter$45$utils_Untrusted<UpdateRecordConfig>): adapter$45$utils_Untrusted<UpdateRecordConfig>;
export declare function validateAdapterConfig(untrustedConfig: unknown, configPropertyNames: adapter$45$utils_AdapterValidationConfig): UpdateRecordConfig | null;
export declare function buildNetworkSnapshot(luvio: $64$luvio_engine_Luvio, config: UpdateRecordConfig, options?: $64$luvio_engine_DispatchResourceRequestContext): Promise<import("@luvio/engine").FulfilledSnapshot<types_RecordRepresentation_RecordRepresentation, {}> | import("@luvio/engine").StaleSnapshot<types_RecordRepresentation_RecordRepresentation, {}> | import("@luvio/engine").PendingSnapshot<types_RecordRepresentation_RecordRepresentation, any>>;
export declare const updateRecordAdapterFactory: $64$luvio_engine_AdapterFactory<UpdateRecordConfig, types_RecordRepresentation_RecordRepresentation>;
