import { Interface as IntValue_Interface } from './IntValue';
import { Interface as StringValue_Interface } from './StringValue';
import { Interface as BooleanValue_Interface } from './BooleanValue';
import { Interface as IDValue_Interface } from './IDValue';
import { Interface as DateTimeValue_Interface } from './DateTimeValue';
import { Interface as TimeValue_Interface } from './TimeValue';
import { Interface as DateValue_Interface } from './DateValue';
import { Interface as TextAreaValue_Interface } from './TextAreaValue';
import { Interface as LongTextAreaValue_Interface } from './LongTextAreaValue';
import { Interface as RichTextAreaValue_Interface } from './RichTextAreaValue';
import { Interface as PhoneNumberValue_Interface } from './PhoneNumberValue';
import { Interface as EmailValue_Interface } from './EmailValue';
import { Interface as UrlValue_Interface } from './UrlValue';
import { Interface as EncryptedStringValue_Interface } from './EncryptedStringValue';
import { Interface as CurrencyValue_Interface } from './CurrencyValue';
import { Interface as LongitudeValue_Interface } from './LongitudeValue';
import { Interface as LatitudeValue_Interface } from './LatitudeValue';
import { Interface as PicklistValue_Interface } from './PicklistValue';
import { Interface as MultiPicklistValue_Interface } from './MultiPicklistValue';
import { Interface as LongValue_Interface } from './LongValue';
import { Interface as DoubleValue_Interface } from './DoubleValue';
import { Interface as PercentValue_Interface } from './PercentValue';
import { Interface as Base64Value_Interface } from './Base64Value';
import { Interface as JSONValue_Interface } from './JSONValue';
import { Luvio as $64$luvio_engine_Luvio, IngestPath as $64$luvio_engine_IngestPath, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata, Reader as $64$luvio_engine_Reader, SelectionPropertyKey as $64$luvio_engine_SelectionPropertyKey, DurableStoreKeyMetadataMap as $64$luvio_engine_DurableStoreKeyMetadataMap } from '@luvio/engine';
import { NormalizedGraphQL as type$45$util_NormalizedGraphQL, GraphQLIngestState as type$45$util_GraphQLIngestState, GraphQLLuvioState as type$45$util_GraphQLLuvioState } from './type-util';
import { FieldNode as $64$luvio_graphql$45$parser_FieldNode, OperationDefinitionNode as $64$luvio_graphql$45$parser_OperationDefinitionNode, SelectionNode as $64$luvio_graphql$45$parser_SelectionNode, FragmentDefinitionNode as $64$luvio_graphql$45$parser_FragmentDefinitionNode, InlineFragmentNode as $64$luvio_graphql$45$parser_InlineFragmentNode, FragmentSpreadNode as $64$luvio_graphql$45$parser_FragmentSpreadNode } from '@luvio/graphql-parser';
import { GraphQLVariables as $64$luvio_graphql_GraphQLVariables, GraphQLFragmentMap as $64$luvio_graphql_GraphQLFragmentMap, GetMinimumSelectionsFunction as $64$luvio_graphql_GetMinimumSelectionsFunction } from '@luvio/graphql';
export declare const name = "CompoundField";
export declare const VERSION = "e90ed8ffd8c8bf518fa166be5c214253";
export interface Interface {
    IntValue: IntValue_Interface | undefined;
    StringValue: StringValue_Interface | undefined;
    BooleanValue: BooleanValue_Interface | undefined;
    IDValue: IDValue_Interface | undefined;
    DateTimeValue: DateTimeValue_Interface | undefined;
    TimeValue: TimeValue_Interface | undefined;
    DateValue: DateValue_Interface | undefined;
    TextAreaValue: TextAreaValue_Interface | undefined;
    LongTextAreaValue: LongTextAreaValue_Interface | undefined;
    RichTextAreaValue: RichTextAreaValue_Interface | undefined;
    PhoneNumberValue: PhoneNumberValue_Interface | undefined;
    EmailValue: EmailValue_Interface | undefined;
    UrlValue: UrlValue_Interface | undefined;
    EncryptedStringValue: EncryptedStringValue_Interface | undefined;
    CurrencyValue: CurrencyValue_Interface | undefined;
    LongitudeValue: LongitudeValue_Interface | undefined;
    LatitudeValue: LatitudeValue_Interface | undefined;
    PicklistValue: PicklistValue_Interface | undefined;
    MultiPicklistValue: MultiPicklistValue_Interface | undefined;
    LongValue: LongValue_Interface | undefined;
    DoubleValue: DoubleValue_Interface | undefined;
    PercentValue: PercentValue_Interface | undefined;
    Base64Value: Base64Value_Interface | undefined;
    JSONValue: JSONValue_Interface | undefined;
}
export interface MinimumInterface {
}
export type PartialInterface = Record<string, any> & MinimumInterface;
export declare function keyBuilder(luvio: $64$luvio_engine_Luvio, path: $64$luvio_engine_IngestPath, data: PartialInterface): string | $64$luvio_engine_NormalizedKeyMetadata;
export declare function mergeData(existingData: type$45$util_NormalizedGraphQL, newData: type$45$util_NormalizedGraphQL): {
    data: Record<string, any>;
};
export declare function ingest(astNode: $64$luvio_graphql$45$parser_FieldNode, state: type$45$util_GraphQLIngestState<PartialInterface>): {
    __ref: string;
};
export declare function getFieldData(source: type$45$util_NormalizedGraphQL, sel: $64$luvio_graphql$45$parser_FieldNode, variables: $64$luvio_graphql_GraphQLVariables): any;
export declare function selectType(typename: string, sel: $64$luvio_graphql$45$parser_FieldNode, fieldData: any, reader: $64$luvio_engine_Reader<any>, key: $64$luvio_engine_SelectionPropertyKey, sink: any, variables: $64$luvio_graphql_GraphQLVariables, fragments: $64$luvio_graphql_GraphQLFragmentMap, parentRecordId: string): any;
export declare function buildSelectionForField(source: type$45$util_NormalizedGraphQL, reader: $64$luvio_engine_Reader<any>, sel: $64$luvio_graphql$45$parser_FieldNode, variables: $64$luvio_graphql_GraphQLVariables, fragments: $64$luvio_graphql_GraphQLFragmentMap, parentRecordId: string): Record<string, any> | undefined;
export declare function buildSelectionForNode(source: type$45$util_NormalizedGraphQL, reader: $64$luvio_engine_Reader<any>, parentNode: $64$luvio_graphql$45$parser_FieldNode | $64$luvio_graphql$45$parser_OperationDefinitionNode, selectionNode: $64$luvio_graphql$45$parser_SelectionNode, variables: $64$luvio_graphql_GraphQLVariables, fragments: $64$luvio_graphql_GraphQLFragmentMap, parentRecordId: string): Record<string, any> | undefined;
export declare function select(field: $64$luvio_graphql$45$parser_FieldNode, variables: $64$luvio_graphql_GraphQLVariables, fragments: $64$luvio_graphql_GraphQLFragmentMap): (source: type$45$util_NormalizedGraphQL, reader: $64$luvio_engine_Reader<any>, parentRecordId: string) => PartialInterface | undefined;
export declare const getMinimumSelections: $64$luvio_graphql_GetMinimumSelectionsFunction;
export declare function getTypeCacheKeys(cacheKeySink: $64$luvio_engine_DurableStoreKeyMetadataMap, astNode: $64$luvio_graphql$45$parser_FieldNode, state: type$45$util_GraphQLLuvioState<PartialInterface>): void;
export declare function getFieldType(field: $64$luvio_graphql$45$parser_FieldNode): {
    isArray: boolean;
    typename: string;
} | undefined;
export declare function ingestFieldByType(typename: string, parentKey: string | $64$luvio_engine_NormalizedKeyMetadata, requestedField: $64$luvio_graphql$45$parser_FieldNode, sink: Record<string, any>, fieldKey: $64$luvio_engine_SelectionPropertyKey, fieldData: any, state: type$45$util_GraphQLIngestState<PartialInterface>): void;
export declare function isMappedField(field: $64$luvio_graphql$45$parser_FieldNode): boolean;
export declare function isFragmentApplicable(fragmentNode: $64$luvio_graphql$45$parser_FragmentDefinitionNode | $64$luvio_graphql$45$parser_InlineFragmentNode, typename?: string): boolean;
export declare function getInContextFragmentType(fragment: $64$luvio_graphql$45$parser_FragmentSpreadNode | $64$luvio_graphql$45$parser_InlineFragmentNode, fragmentMap: $64$luvio_graphql_GraphQLFragmentMap): string | undefined;
