import { Interface as LongValue_Interface } from './LongValue';
import { Interface as IntValue_Interface } from './IntValue';
import { Interface as IDValue_Interface } from './IDValue';
import { Luvio as $64$luvio_engine_Luvio, IngestPath as $64$luvio_engine_IngestPath, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata, Reader as $64$luvio_engine_Reader, SelectionPropertyKey as $64$luvio_engine_SelectionPropertyKey, DurableStoreKeyMetadataMap as $64$luvio_engine_DurableStoreKeyMetadataMap } from '@luvio/engine';
import { NormalizedGraphQL as type$45$util_NormalizedGraphQL, GraphQLIngestState as type$45$util_GraphQLIngestState, GraphQLLuvioState as type$45$util_GraphQLLuvioState } from './type-util';
import { FieldNode as $64$luvio_graphql$45$parser_FieldNode, OperationDefinitionNode as $64$luvio_graphql$45$parser_OperationDefinitionNode, SelectionNode as $64$luvio_graphql$45$parser_SelectionNode, FragmentDefinitionNode as $64$luvio_graphql$45$parser_FragmentDefinitionNode, InlineFragmentNode as $64$luvio_graphql$45$parser_InlineFragmentNode, FragmentSpreadNode as $64$luvio_graphql$45$parser_FragmentSpreadNode } from '@luvio/graphql-parser';
import { GraphQLVariables as $64$luvio_graphql_GraphQLVariables, GraphQLFragmentMap as $64$luvio_graphql_GraphQLFragmentMap, GetMinimumSelectionsFunction as $64$luvio_graphql_GetMinimumSelectionsFunction } from '@luvio/graphql';
export declare const name = "IDAggregate";
export declare const VERSION = "04d4a6d94a5e17c6259f9bf6f8429b01";
export interface Interface {
    value: string | undefined;
    displayValue: string | undefined;
    count: LongValue_Interface | undefined;
    countDistinct: LongValue_Interface | undefined;
    grouping: IntValue_Interface | undefined;
    max: IDValue_Interface | undefined;
    min: IDValue_Interface | undefined;
}
export interface MinimumInterface {
}
export type PartialInterface = Record<string, any> & MinimumInterface;
export declare function keyBuilder(luvio: $64$luvio_engine_Luvio, path: $64$luvio_engine_IngestPath, data: PartialInterface): string | $64$luvio_engine_NormalizedKeyMetadata;
export declare function mergeData(existingData: type$45$util_NormalizedGraphQL, newData: type$45$util_NormalizedGraphQL): {
    data: Record<string, any>;
};
export declare function ingest(astNode: $64$luvio_graphql$45$parser_FieldNode, state: type$45$util_GraphQLIngestState<PartialInterface>): {
    __ref: string;
};
export declare function getFieldData(source: type$45$util_NormalizedGraphQL, sel: $64$luvio_graphql$45$parser_FieldNode, variables: $64$luvio_graphql_GraphQLVariables): any;
export declare function selectType(typename: string, sel: $64$luvio_graphql$45$parser_FieldNode, fieldData: any, reader: $64$luvio_engine_Reader<any>, key: $64$luvio_engine_SelectionPropertyKey, sink: any, variables: $64$luvio_graphql_GraphQLVariables, fragments: $64$luvio_graphql_GraphQLFragmentMap, parentRecordId: string): any;
export declare function buildSelectionForField(source: type$45$util_NormalizedGraphQL, reader: $64$luvio_engine_Reader<any>, sel: $64$luvio_graphql$45$parser_FieldNode, variables: $64$luvio_graphql_GraphQLVariables, fragments: $64$luvio_graphql_GraphQLFragmentMap, parentRecordId: string): Record<string, any> | undefined;
export declare function buildSelectionForNode(source: type$45$util_NormalizedGraphQL, reader: $64$luvio_engine_Reader<any>, parentNode: $64$luvio_graphql$45$parser_FieldNode | $64$luvio_graphql$45$parser_OperationDefinitionNode, selectionNode: $64$luvio_graphql$45$parser_SelectionNode, variables: $64$luvio_graphql_GraphQLVariables, fragments: $64$luvio_graphql_GraphQLFragmentMap, parentRecordId: string): Record<string, any> | undefined;
export declare function select(field: $64$luvio_graphql$45$parser_FieldNode, variables: $64$luvio_graphql_GraphQLVariables, fragments: $64$luvio_graphql_GraphQLFragmentMap): (source: type$45$util_NormalizedGraphQL, reader: $64$luvio_engine_Reader<any>, parentRecordId: string) => PartialInterface | undefined;
export declare const getMinimumSelections: $64$luvio_graphql_GetMinimumSelectionsFunction;
export declare function getTypeCacheKeys(cacheKeySink: $64$luvio_engine_DurableStoreKeyMetadataMap, astNode: $64$luvio_graphql$45$parser_FieldNode, state: type$45$util_GraphQLLuvioState<PartialInterface>): void;
export declare function getFieldType(field: $64$luvio_graphql$45$parser_FieldNode): {
    isArray: boolean;
    typename: string;
} | undefined;
export declare function ingestFieldByType(typename: string, parentKey: string | $64$luvio_engine_NormalizedKeyMetadata, requestedField: $64$luvio_graphql$45$parser_FieldNode, sink: Record<string, any>, fieldKey: $64$luvio_engine_SelectionPropertyKey, fieldData: any, state: type$45$util_GraphQLIngestState<PartialInterface>): void;
export declare function isMappedField(field: $64$luvio_graphql$45$parser_FieldNode): boolean;
export declare function isFragmentApplicable(fragmentNode: $64$luvio_graphql$45$parser_FragmentDefinitionNode | $64$luvio_graphql$45$parser_InlineFragmentNode, typename?: string): boolean;
export declare function getInContextFragmentType(fragment: $64$luvio_graphql$45$parser_FragmentSpreadNode | $64$luvio_graphql$45$parser_InlineFragmentNode, fragmentMap: $64$luvio_graphql_GraphQLFragmentMap): string | undefined;
