import { Luvio as $64$luvio_engine_Luvio, Fragment as $64$luvio_engine_Fragment, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata, FetchResponse as $64$luvio_engine_FetchResponse, SnapshotRefresh as $64$luvio_engine_SnapshotRefresh, FulfilledSnapshot as $64$luvio_engine_FulfilledSnapshot, StaleSnapshot as $64$luvio_engine_StaleSnapshot, PendingSnapshot as $64$luvio_engine_PendingSnapshot, ErrorResponse as $64$luvio_engine_ErrorResponse, ErrorSnapshot as $64$luvio_engine_ErrorSnapshot, ResourceRequest as $64$luvio_engine_ResourceRequest } from '@luvio/engine';
import { RecordCollectionRepresentation as types_RecordCollectionRepresentation_RecordCollectionRepresentation } from '../types/RecordCollectionRepresentation';
export interface ResourceRequestConfig {
    urlParams: {
        fieldApiName: string;
        objectApiName: string;
        targetApiName: string;
    };
    queryParams: {
        dependentFieldBindings?: Array<string>;
        page?: number;
        pageSize?: number;
        q?: string;
        searchType?: string;
        sourceRecordId?: string;
    };
}
export declare function select(luvio: $64$luvio_engine_Luvio, params: ResourceRequestConfig): $64$luvio_engine_Fragment;
export declare function keyBuilder(luvio: $64$luvio_engine_Luvio, params: ResourceRequestConfig): string;
export declare function keyBuilder_StructuredKey(luvio: $64$luvio_engine_Luvio, params: ResourceRequestConfig): $64$luvio_engine_NormalizedKeyMetadata;
export declare function getResponseCacheKeys(storeKeyMap: any, luvio: $64$luvio_engine_Luvio, resourceParams: ResourceRequestConfig, response: types_RecordCollectionRepresentation_RecordCollectionRepresentation): void;
export declare function ingestSuccess(luvio: $64$luvio_engine_Luvio, resourceParams: ResourceRequestConfig, response: $64$luvio_engine_FetchResponse<types_RecordCollectionRepresentation_RecordCollectionRepresentation>, snapshotRefresh?: $64$luvio_engine_SnapshotRefresh<types_RecordCollectionRepresentation_RecordCollectionRepresentation>): $64$luvio_engine_FulfilledSnapshot<types_RecordCollectionRepresentation_RecordCollectionRepresentation, {}> | $64$luvio_engine_StaleSnapshot<types_RecordCollectionRepresentation_RecordCollectionRepresentation, {}> | $64$luvio_engine_PendingSnapshot<types_RecordCollectionRepresentation_RecordCollectionRepresentation, any>;
export declare function ingestError(luvio: $64$luvio_engine_Luvio, params: ResourceRequestConfig, error: $64$luvio_engine_ErrorResponse, snapshotRefresh?: $64$luvio_engine_SnapshotRefresh<types_RecordCollectionRepresentation_RecordCollectionRepresentation>): $64$luvio_engine_ErrorSnapshot;
export declare function createResourceRequest(config: ResourceRequestConfig): $64$luvio_engine_ResourceRequest;
export default createResourceRequest;
