import { IngestPath as $64$luvio_engine_IngestPath, Luvio as $64$luvio_engine_Luvio, Store as $64$luvio_engine_Store, ResourceIngest as $64$luvio_engine_ResourceIngest, FragmentSelection as $64$luvio_engine_FragmentSelection, LinkSelection as $64$luvio_engine_LinkSelection, StoreLink as $64$luvio_engine_StoreLink, DurableStoreKeyMetadataMap as $64$luvio_engine_DurableStoreKeyMetadataMap, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata } from '@luvio/engine';
import { AppRepresentation as AppRepresentation_AppRepresentation } from './AppRepresentation';
export declare const TTL = 300000;
export declare const VERSION = "a254babf0b6414315db7808a157fd9fc";
export declare function validate(obj: any, path?: string): TypeError | null;
export declare const RepresentationType: string;
export declare function normalize(input: AppsRepresentation, existing: AppsRepresentationNormalized, path: $64$luvio_engine_IngestPath, luvio: $64$luvio_engine_Luvio, store: $64$luvio_engine_Store, timestamp: number): AppsRepresentationNormalized;
export interface DynamicIngestParams {
    apps: $64$luvio_engine_ResourceIngest;
}
export declare function dynamicNormalize(ingestParams: DynamicIngestParams): (input: AppsRepresentation, existing: AppsRepresentationNormalized, path: $64$luvio_engine_IngestPath, luvio: $64$luvio_engine_Luvio, store: $64$luvio_engine_Store, timestamp: number) => AppsRepresentationNormalized;
export declare const select: () => $64$luvio_engine_FragmentSelection;
export interface DynamicSelectParams {
    apps?: $64$luvio_engine_LinkSelection;
}
export declare const dynamicSelect: (params: DynamicSelectParams) => $64$luvio_engine_FragmentSelection;
export declare function equals(existing: AppsRepresentationNormalized, incoming: AppsRepresentationNormalized): boolean;
export declare const ingest: $64$luvio_engine_ResourceIngest;
export declare function getTypeCacheKeys(rootKeySet: $64$luvio_engine_DurableStoreKeyMetadataMap, luvio: $64$luvio_engine_Luvio, input: AppsRepresentation, fullPathFactory: () => string | $64$luvio_engine_NormalizedKeyMetadata): void;
export declare function dynamicIngest(ingestParams: DynamicIngestParams): $64$luvio_engine_ResourceIngest;
/**
 * A list of apps accessible for current user.
 *
 * Keys:
 *    (none)
 */
export interface AppsRepresentationNormalized {
    /** apps list */
    apps: Array<$64$luvio_engine_StoreLink>;
    /** ETag like field, readOnly, handy while caching. */
    eTag: string;
}
/**
 * A list of apps accessible for current user.
 *
 * Keys:
 *    (none)
 */
export interface AppsRepresentation {
    apps: Array<AppRepresentation_AppRepresentation>;
    eTag: string;
}
