import { IngestPath as $64$luvio_engine_IngestPath, Luvio as $64$luvio_engine_Luvio, Store as $64$luvio_engine_Store, FragmentSelection as $64$luvio_engine_FragmentSelection, ResourceIngest as $64$luvio_engine_ResourceIngest, DurableStoreKeyMetadataMap as $64$luvio_engine_DurableStoreKeyMetadataMap, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata } from '@luvio/engine';
export declare const VERSION = "ab058806479cbfb0c26b83ded8117ad8";
export declare function validate(obj: any, path?: string): TypeError | null;
export declare const RepresentationType: string;
export declare function normalize(input: ChildRelationshipRepresentation, existing: ChildRelationshipRepresentationNormalized, path: $64$luvio_engine_IngestPath, luvio: $64$luvio_engine_Luvio, store: $64$luvio_engine_Store, timestamp: number): ChildRelationshipRepresentationNormalized;
export declare const select: () => $64$luvio_engine_FragmentSelection;
export declare function equals(existing: ChildRelationshipRepresentationNormalized, incoming: ChildRelationshipRepresentationNormalized): boolean;
export declare const ingest: $64$luvio_engine_ResourceIngest;
export declare function getTypeCacheKeys(rootKeySet: $64$luvio_engine_DurableStoreKeyMetadataMap, luvio: $64$luvio_engine_Luvio, input: ChildRelationshipRepresentation, fullPathFactory: () => string | $64$luvio_engine_NormalizedKeyMetadata): void;
/**
 * Child Relationship.
 *
 * Keys:
 *    (none)
 */
export interface ChildRelationshipRepresentationNormalized {
    /** The token of the child Object on which there is a foreign key back to the parent Object. */
    childObjectApiName: string;
    /** The token of the field that has a foreign key back to the parent Object. */
    fieldName: string;
    /** If this relationship uses a junction ID list, this contains a list of potentially polymorphic types to which the IDs in this relationship's junction ID list can resolve. */
    junctionIdListNames: Array<string>;
    /** A list of zero or more query-able junction ID list names this relationship may use. These names can be queried like field. */
    junctionReferenceTo: Array<string>;
    /** The name of the relationship. */
    relationshipName: string;
}
/**
 * Child Relationship.
 *
 * Keys:
 *    (none)
 */
export interface ChildRelationshipRepresentation {
    childObjectApiName: string;
    fieldName: string;
    junctionIdListNames: Array<string>;
    junctionReferenceTo: Array<string>;
    relationshipName: string;
}
