import { IngestPath as $64$luvio_engine_IngestPath, Luvio as $64$luvio_engine_Luvio, Store as $64$luvio_engine_Store, FragmentSelection as $64$luvio_engine_FragmentSelection, ResourceIngest as $64$luvio_engine_ResourceIngest, DurableStoreKeyMetadataMap as $64$luvio_engine_DurableStoreKeyMetadataMap, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata } from '@luvio/engine';
export declare const TTL = 900000;
export declare const VERSION = "edc23953af1d4e080223de794c2653cd";
export declare function validate(obj: any, path?: string): TypeError | null;
export declare const RepresentationType: string;
export declare function normalize(input: FormulaOverridesInfoRepresentation, existing: FormulaOverridesInfoRepresentationNormalized, path: $64$luvio_engine_IngestPath, luvio: $64$luvio_engine_Luvio, store: $64$luvio_engine_Store, timestamp: number): FormulaOverridesInfoRepresentationNormalized;
export declare const select: () => $64$luvio_engine_FragmentSelection;
export declare function equals(existing: FormulaOverridesInfoRepresentationNormalized, incoming: FormulaOverridesInfoRepresentationNormalized): boolean;
export declare const ingest: $64$luvio_engine_ResourceIngest;
export declare function getTypeCacheKeys(rootKeySet: $64$luvio_engine_DurableStoreKeyMetadataMap, luvio: $64$luvio_engine_Luvio, input: FormulaOverridesInfoRepresentation, fullPathFactory: () => string | $64$luvio_engine_NormalizedKeyMetadata): void;
/**
 * Formula overrides info
 *
 * Keys:
 *    (none)
 */
export interface FormulaOverridesInfoRepresentationNormalized {
    /** The record field names referenced by the formula, used to efficiently retrieve record info downstream. */
    fieldNames: Array<string>;
    /** The name of the flexipage to activate contingent on formula evaluation */
    flexipageName: string;
    /** The JS encoded formula for execution on the client */
    jsFormula: string;
    /** The priority of this formula activation in the case there are multiple defined for a criteria */
    order: number;
}
/**
 * Formula overrides info
 *
 * Keys:
 *    (none)
 */
export interface FormulaOverridesInfoRepresentation {
    fieldNames: Array<string>;
    flexipageName: string;
    jsFormula: string;
    order: number;
}
