import { SearchDataCategoryInputRepresentation as SearchDataCategoryInputRepresentation_SearchDataCategoryInputRepresentation } from './SearchDataCategoryInputRepresentation';
import { SearchFilterInputRepresentation as SearchFilterInputRepresentation_SearchFilterInputRepresentation } from './SearchFilterInputRepresentation';
import { IngestPath as $64$luvio_engine_IngestPath, Luvio as $64$luvio_engine_Luvio, Store as $64$luvio_engine_Store, FragmentSelection as $64$luvio_engine_FragmentSelection, ResourceIngest as $64$luvio_engine_ResourceIngest, DurableStoreKeyMetadataMap as $64$luvio_engine_DurableStoreKeyMetadataMap, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata } from '@luvio/engine';
export declare const VERSION = "804743b0e52f25adad845b5433f810b2";
export declare function validate(obj: any, path?: string): TypeError | null;
export declare const RepresentationType: string;
export declare function normalize(input: KeywordSearchRequestInputRepresentation, existing: KeywordSearchRequestInputRepresentationNormalized, path: $64$luvio_engine_IngestPath, luvio: $64$luvio_engine_Luvio, store: $64$luvio_engine_Store, timestamp: number): KeywordSearchRequestInputRepresentationNormalized;
export declare const select: () => $64$luvio_engine_FragmentSelection;
export declare function equals(existing: KeywordSearchRequestInputRepresentationNormalized, incoming: KeywordSearchRequestInputRepresentationNormalized): boolean;
export declare const ingest: $64$luvio_engine_ResourceIngest;
export declare function getTypeCacheKeys(rootKeySet: $64$luvio_engine_DurableStoreKeyMetadataMap, luvio: $64$luvio_engine_Luvio, input: KeywordSearchRequestInputRepresentation, fullPathFactory: () => string | $64$luvio_engine_NormalizedKeyMetadata): void;
/**
 * Input parameters to request on Search for keyword type
 *
 * Keys:
 *    (none)
 */
export interface KeywordSearchRequestInputRepresentationNormalized {
    /** A configuration name defined in Search Manager */
    configurationName?: string;
    /** Data category filters to apply on our results */
    dataCategories?: Array<SearchDataCategoryInputRepresentation_SearchDataCategoryInputRepresentation>;
    /** Filters to apply on our results */
    filters?: Array<SearchFilterInputRepresentation_SearchFilterInputRepresentation>;
    /** Number of records to return */
    pageSize?: number;
    /** Position into the record pagination */
    pageToken?: string;
    /** How to sort the results. You could, provide a 'FieldName' for ascending sorting or '-FieldName' for descending sorting */
    sortBy?: string;
}
/**
 * Input parameters to request on Search for keyword type
 *
 * Keys:
 *    (none)
 */
export interface KeywordSearchRequestInputRepresentation {
    configurationName?: string;
    dataCategories?: Array<SearchDataCategoryInputRepresentation_SearchDataCategoryInputRepresentation>;
    filters?: Array<SearchFilterInputRepresentation_SearchFilterInputRepresentation>;
    pageSize?: number;
    pageToken?: string;
    sortBy?: string;
}
