import { ThemeInfoRepresentation as ThemeInfoRepresentation_ThemeInfoRepresentation } from './ThemeInfoRepresentation';
import { IngestPath as $64$luvio_engine_IngestPath, Luvio as $64$luvio_engine_Luvio, Store as $64$luvio_engine_Store, FragmentSelection as $64$luvio_engine_FragmentSelection, ResourceIngest as $64$luvio_engine_ResourceIngest, DurableStoreKeyMetadataMap as $64$luvio_engine_DurableStoreKeyMetadataMap, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata } from '@luvio/engine';
export declare const VERSION = "0594e7ac5140d470a4fdee184890dc4f";
export declare function validate(obj: any, path?: string): TypeError | null;
export declare const RepresentationType: string;
export declare function normalize(input: MatchResultRepresentation, existing: MatchResultRepresentationNormalized, path: $64$luvio_engine_IngestPath, luvio: $64$luvio_engine_Luvio, store: $64$luvio_engine_Store, timestamp: number): MatchResultRepresentationNormalized;
export declare const select: () => $64$luvio_engine_FragmentSelection;
export declare function equals(existing: MatchResultRepresentationNormalized, incoming: MatchResultRepresentationNormalized): boolean;
export declare const ingest: $64$luvio_engine_ResourceIngest;
export declare function getTypeCacheKeys(rootKeySet: $64$luvio_engine_DurableStoreKeyMetadataMap, luvio: $64$luvio_engine_Luvio, input: MatchResultRepresentation, fullPathFactory: () => string | $64$luvio_engine_NormalizedKeyMetadata): void;
/**
 * Duplicate rule match.
 *
 * Keys:
 *    (none)
 */
export interface MatchResultRepresentationNormalized {
    /** Object API name. */
    apiName: string;
    /** Indicates whether the duplicate rule will allow a duplicate to be saved. */
    isAllowSave: boolean;
    /** IDs of the matching records. */
    matchRecordIds: Array<string>;
    /** The developer name of the matching duplicate rule. */
    matchRule: string;
    /** Object label. */
    objectLabel: string;
    /** Object plural label. */
    objectLabelPlural: string;
    themeInfo: ThemeInfoRepresentation_ThemeInfoRepresentation;
}
/**
 * Duplicate rule match.
 *
 * Keys:
 *    (none)
 */
export interface MatchResultRepresentation {
    apiName: string;
    isAllowSave: boolean;
    matchRecordIds: Array<string>;
    matchRule: string;
    objectLabel: string;
    objectLabelPlural: string;
    themeInfo: ThemeInfoRepresentation_ThemeInfoRepresentation;
}
