import { IngestPath as $64$luvio_engine_IngestPath, Luvio as $64$luvio_engine_Luvio, Store as $64$luvio_engine_Store, ResourceIngest as $64$luvio_engine_ResourceIngest, FragmentSelection as $64$luvio_engine_FragmentSelection, LinkSelection as $64$luvio_engine_LinkSelection, StoreLink as $64$luvio_engine_StoreLink, DurableStoreKeyMetadataMap as $64$luvio_engine_DurableStoreKeyMetadataMap, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata } from '@luvio/engine';
import { SearchResultCollectionRepresentation as SearchResultCollectionRepresentation_SearchResultCollectionRepresentation } from './SearchResultCollectionRepresentation';
export declare const VERSION = "04f51bdf8ed7e213acba78987e1ce377";
export declare function validate(obj: any, path?: string): TypeError | null;
export declare const RepresentationType: string;
export declare function normalize(input: NLSResultsRepresentation, existing: NLSResultsRepresentationNormalized, path: $64$luvio_engine_IngestPath, luvio: $64$luvio_engine_Luvio, store: $64$luvio_engine_Store, timestamp: number): NLSResultsRepresentationNormalized;
export interface DynamicIngestParams {
    results: $64$luvio_engine_ResourceIngest;
}
export declare function dynamicNormalize(ingestParams: DynamicIngestParams): (input: NLSResultsRepresentation, existing: NLSResultsRepresentationNormalized, path: $64$luvio_engine_IngestPath, luvio: $64$luvio_engine_Luvio, store: $64$luvio_engine_Store, timestamp: number) => NLSResultsRepresentationNormalized;
export declare const select: () => $64$luvio_engine_FragmentSelection;
export interface DynamicSelectParams {
    results?: $64$luvio_engine_LinkSelection;
}
export declare const dynamicSelect: (params: DynamicSelectParams) => $64$luvio_engine_FragmentSelection;
export declare function equals(existing: NLSResultsRepresentationNormalized, incoming: NLSResultsRepresentationNormalized): boolean;
export declare const ingest: $64$luvio_engine_ResourceIngest;
export declare function getTypeCacheKeys(rootKeySet: $64$luvio_engine_DurableStoreKeyMetadataMap, luvio: $64$luvio_engine_Luvio, input: NLSResultsRepresentation, fullPathFactory: () => string | $64$luvio_engine_NormalizedKeyMetadata): void;
export declare function dynamicIngest(ingestParams: DynamicIngestParams): $64$luvio_engine_ResourceIngest;
/**
 * Natural Language Search Results Response
 *
 * Keys:
 *    (none)
 */
export interface NLSResultsRepresentationNormalized {
    /** Indicates that no results were found */
    hasNoResult: boolean | null;
    results: $64$luvio_engine_StoreLink;
}
/**
 * Natural Language Search Results Response
 *
 * Keys:
 *    (none)
 */
export interface NLSResultsRepresentation {
    hasNoResult: boolean | null;
    results: SearchResultCollectionRepresentation_SearchResultCollectionRepresentation;
}
