import { IngestPath as $64$luvio_engine_IngestPath, Luvio as $64$luvio_engine_Luvio, Store as $64$luvio_engine_Store, FragmentSelection as $64$luvio_engine_FragmentSelection, ResourceIngest as $64$luvio_engine_ResourceIngest, DurableStoreKeyMetadataMap as $64$luvio_engine_DurableStoreKeyMetadataMap, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata } from '@luvio/engine';
export declare const VERSION = "53b489083ef57944d2a9d4a2aaf72ec3";
export declare function validate(obj: any, path?: string): TypeError | null;
export declare const RepresentationType: string;
export declare function normalize(input: QuickActionIconRepresentation, existing: QuickActionIconRepresentationNormalized, path: $64$luvio_engine_IngestPath, luvio: $64$luvio_engine_Luvio, store: $64$luvio_engine_Store, timestamp: number): QuickActionIconRepresentationNormalized;
export declare const select: () => $64$luvio_engine_FragmentSelection;
export declare function equals(existing: QuickActionIconRepresentationNormalized, incoming: QuickActionIconRepresentationNormalized): boolean;
export declare const ingest: $64$luvio_engine_ResourceIngest;
export declare function getTypeCacheKeys(rootKeySet: $64$luvio_engine_DurableStoreKeyMetadataMap, luvio: $64$luvio_engine_Luvio, input: QuickActionIconRepresentation, fullPathFactory: () => string | $64$luvio_engine_NormalizedKeyMetadata): void;
/**
 * Quick Action Icon Input representation for a specific action api name
 *
 * Keys:
 *    (none)
 */
export interface QuickActionIconRepresentationNormalized {
    /** quick action content type */
    contentType: string;
    /** ETag like field, readOnly, handy while caching. */
    eTag: string;
    /** quick action icon height */
    height: number;
    /** copilot action theme */
    theme: string;
    /** quick action icon url */
    url: string;
    /** quick action icon width */
    width: number;
}
/**
 * Quick Action Icon Input representation for a specific action api name
 *
 * Keys:
 *    (none)
 */
export interface QuickActionIconRepresentation {
    contentType: string;
    eTag: string;
    height: number;
    theme: string;
    url: string;
    width: number;
}
