import { RelatedListReferenceRepresentation as RelatedListReferenceRepresentation_RelatedListReferenceRepresentation } from './RelatedListReferenceRepresentation';
import { KeyMetadata as $64$luvio_engine_KeyMetadata, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata, Luvio as $64$luvio_engine_Luvio, IngestPath as $64$luvio_engine_IngestPath, Store as $64$luvio_engine_Store, ResourceIngest as $64$luvio_engine_ResourceIngest, ReaderFragment as $64$luvio_engine_ReaderFragment, LinkSelection as $64$luvio_engine_LinkSelection, StoreLink as $64$luvio_engine_StoreLink, DurableStoreKeyMetadataMap as $64$luvio_engine_DurableStoreKeyMetadataMap } from '@luvio/engine';
import { PaginationParams as pagination_syntheticCursor_PaginationParams } from '../pagination/syntheticCursor';
import { RecordRepresentation as RecordRepresentation_RecordRepresentation } from './RecordRepresentation';
export declare const TTL = 30000;
export declare const VERSION = "62467c27c19349b70c9db2a8d9d591d9";
export declare function validate(obj: any, path?: string): TypeError | null;
export declare const RepresentationType: string;
export interface KeyParams extends $64$luvio_engine_KeyMetadata {
    sortBy: Array<string>;
    parentRecordId: string | null;
    relatedListId: string;
    where: string | null;
}
export type RelatedListRecordCollectionRepresentationNormalizedKeyMetadata = KeyParams & $64$luvio_engine_NormalizedKeyMetadata;
export type PartialRelatedListRecordCollectionRepresentationNormalizedKeyMetadata = Partial<KeyParams> & $64$luvio_engine_NormalizedKeyMetadata;
export declare function keyBuilder(luvio: $64$luvio_engine_Luvio, config: KeyParams): string;
export declare function keyBuilder_StructuredKey(luvio: $64$luvio_engine_Luvio, config: KeyParams): RelatedListRecordCollectionRepresentationNormalizedKeyMetadata;
export declare function keyBuilderFromType(luvio: $64$luvio_engine_Luvio, object: RelatedListRecordCollectionRepresentation): string;
export declare function keyBuilderFromType_StructuredKey(luvio: $64$luvio_engine_Luvio, object: RelatedListRecordCollectionRepresentation): $64$luvio_engine_NormalizedKeyMetadata;
export declare function paginationKeyBuilder(luvio: $64$luvio_engine_Luvio, config: KeyParams): string;
export declare function paginationKeyBuilder_StructuredKey(luvio: $64$luvio_engine_Luvio, config: KeyParams): $64$luvio_engine_NormalizedKeyMetadata;
export declare function normalize(input: RelatedListRecordCollectionRepresentation, existing: RelatedListRecordCollectionRepresentationNormalized, path: $64$luvio_engine_IngestPath, luvio: $64$luvio_engine_Luvio, store: $64$luvio_engine_Store, timestamp: number): RelatedListRecordCollectionRepresentationNormalized;
export interface DynamicIngestParams {
    records: $64$luvio_engine_ResourceIngest;
}
export declare function dynamicNormalize(ingestParams: DynamicIngestParams): (input: RelatedListRecordCollectionRepresentation, existing: RelatedListRecordCollectionRepresentationNormalized, path: $64$luvio_engine_IngestPath, luvio: $64$luvio_engine_Luvio, store: $64$luvio_engine_Store, timestamp: number) => RelatedListRecordCollectionRepresentationNormalized;
export declare const select: (paginationParams?: pagination_syntheticCursor_PaginationParams) => $64$luvio_engine_ReaderFragment;
export interface DynamicSelectParams {
    records?: $64$luvio_engine_LinkSelection;
}
export declare const dynamicSelect: (params: DynamicSelectParams, paginationParams?: pagination_syntheticCursor_PaginationParams) => $64$luvio_engine_ReaderFragment;
export declare function equals(existing: RelatedListRecordCollectionRepresentationNormalized, incoming: RelatedListRecordCollectionRepresentationNormalized): boolean;
export declare const ingest: $64$luvio_engine_ResourceIngest;
export declare function getTypeCacheKeys(rootKeySet: $64$luvio_engine_DurableStoreKeyMetadataMap, luvio: $64$luvio_engine_Luvio, input: RelatedListRecordCollectionRepresentation, fullPathFactory: () => string | $64$luvio_engine_NormalizedKeyMetadata): void;
export declare function dynamicIngest(ingestParams: DynamicIngestParams): $64$luvio_engine_ResourceIngest;
/**
 * RelatedListRecordCollectionRepresentation
 *
 * Keys:
 *    sortBy (Array<string>): sortBy
 *    parentRecordId (string | null): listReference.inContextOfRecordId
 *    relatedListId (string): listReference.relatedListId
 *    where (string | null): where
 */
export interface RelatedListRecordCollectionRepresentationNormalized {
    /** The total count of records returned. */
    count: number;
    /** The token for the current page of records. */
    currentPageToken: string;
    /** The URL of the current page of records. */
    currentPageUrl: string | null;
    /** The list of fields requested when these records were fetched. */
    fields: Array<string>;
    /** RelatedListInfo ETag. */
    listInfoETag: string | null;
    listReference: RelatedListReferenceRepresentation_RelatedListReferenceRepresentation;
    /** The token for the next page of records. */
    nextPageToken: string | null;
    /** The URL of the next page of records */
    nextPageUrl: string | null;
    /** The list of optional fields requested when these records were fetched. */
    optionalFields: Array<string>;
    /** The page size requested when these records were fetched. The default value is 50. */
    pageSize: number;
    /** The token for the previous page of records. */
    previousPageToken: string | null;
    /** The URL of the previous page of records. */
    previousPageUrl: string | null;
    /** Related list data. */
    records: Array<$64$luvio_engine_StoreLink>;
    /** The sortBy field requested when these records were fetched. */
    sortBy: Array<string>;
    /** The where condition requested when these records were fetched. */
    where: string | null;
}
/**
 * RelatedListRecordCollectionRepresentation
 *
 * Keys:
 *    sortBy (Array<string>): sortBy
 *    parentRecordId (string | null): listReference.inContextOfRecordId
 *    relatedListId (string): listReference.relatedListId
 *    where (string | null): where
 */
export interface RelatedListRecordCollectionRepresentation {
    count: number;
    currentPageToken: string;
    currentPageUrl: string | null;
    fields: Array<string>;
    listInfoETag: string | null;
    listReference: RelatedListReferenceRepresentation_RelatedListReferenceRepresentation;
    nextPageToken: string | null;
    nextPageUrl: string | null;
    optionalFields: Array<string>;
    pageSize: number;
    previousPageToken: string | null;
    previousPageUrl: string | null;
    records: Array<RecordRepresentation_RecordRepresentation>;
    sortBy: Array<string>;
    where: string | null;
}
