import { RelatedListReferenceRepresentation as RelatedListReferenceRepresentation_RelatedListReferenceRepresentation } from './RelatedListReferenceRepresentation';
import { KeyMetadata as $64$luvio_engine_KeyMetadata, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata, Luvio as $64$luvio_engine_Luvio, IngestPath as $64$luvio_engine_IngestPath, Store as $64$luvio_engine_Store, FragmentSelection as $64$luvio_engine_FragmentSelection, ResourceIngest as $64$luvio_engine_ResourceIngest, DurableStoreKeyMetadataMap as $64$luvio_engine_DurableStoreKeyMetadataMap } from '@luvio/engine';
export declare const VERSION = "836b875b519813e7499efc62f0f1d04b";
export declare function validate(obj: any, path?: string): TypeError | null;
export declare const RepresentationType: string;
export interface KeyParams extends $64$luvio_engine_KeyMetadata {
    parentRecordId: string | null;
    relatedListId: string;
}
export type RelatedListRecordCountRepresentationNormalizedKeyMetadata = KeyParams & $64$luvio_engine_NormalizedKeyMetadata;
export type PartialRelatedListRecordCountRepresentationNormalizedKeyMetadata = Partial<KeyParams> & $64$luvio_engine_NormalizedKeyMetadata;
export declare function keyBuilder(luvio: $64$luvio_engine_Luvio, config: KeyParams): string;
export declare function keyBuilder_StructuredKey(luvio: $64$luvio_engine_Luvio, config: KeyParams): RelatedListRecordCountRepresentationNormalizedKeyMetadata;
export declare function keyBuilderFromType(luvio: $64$luvio_engine_Luvio, object: RelatedListRecordCountRepresentation): string;
export declare function keyBuilderFromType_StructuredKey(luvio: $64$luvio_engine_Luvio, object: RelatedListRecordCountRepresentation): $64$luvio_engine_NormalizedKeyMetadata;
export declare function normalize(input: RelatedListRecordCountRepresentation, existing: RelatedListRecordCountRepresentationNormalized, path: $64$luvio_engine_IngestPath, luvio: $64$luvio_engine_Luvio, store: $64$luvio_engine_Store, timestamp: number): RelatedListRecordCountRepresentationNormalized;
export declare const select: () => $64$luvio_engine_FragmentSelection;
export declare function equals(existing: RelatedListRecordCountRepresentationNormalized, incoming: RelatedListRecordCountRepresentationNormalized): boolean;
export declare const ingest: $64$luvio_engine_ResourceIngest;
export declare function getTypeCacheKeys(rootKeySet: $64$luvio_engine_DurableStoreKeyMetadataMap, luvio: $64$luvio_engine_Luvio, input: RelatedListRecordCountRepresentation, fullPathFactory: () => string | $64$luvio_engine_NormalizedKeyMetadata): void;
/**
 * RelatedListRecordCountRepresentation
 *
 * Keys:
 *    parentRecordId (string | null): listReference.inContextOfRecordId
 *    relatedListId (string): listReference.relatedListId
 */
export interface RelatedListRecordCountRepresentationNormalized {
    /** How many items are in the given list. */
    count: number | null;
    /** ETag like field, readOnly, handy while caching. */
    eTag: string;
    /** Are there more items than the provided count in the given list. */
    hasMore: boolean;
    listReference: RelatedListReferenceRepresentation_RelatedListReferenceRepresentation;
}
/**
 * RelatedListRecordCountRepresentation
 *
 * Keys:
 *    parentRecordId (string | null): listReference.inContextOfRecordId
 *    relatedListId (string): listReference.relatedListId
 */
export interface RelatedListRecordCountRepresentation {
    count: number | null;
    eTag: string;
    hasMore: boolean;
    listReference: RelatedListReferenceRepresentation_RelatedListReferenceRepresentation;
}
