import { IngestPath as $64$luvio_engine_IngestPath, Luvio as $64$luvio_engine_Luvio, Store as $64$luvio_engine_Store, FragmentSelection as $64$luvio_engine_FragmentSelection, ResourceIngest as $64$luvio_engine_ResourceIngest, DurableStoreKeyMetadataMap as $64$luvio_engine_DurableStoreKeyMetadataMap, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata } from '@luvio/engine';
export declare const VERSION = "541567e0cd578bd356467b2690c7f65c";
export declare function validate(obj: any, path?: string): TypeError | null;
export declare const RepresentationType: string;
export declare function normalize(input: RelatedListRecordsInputRepresentation, existing: RelatedListRecordsInputRepresentationNormalized, path: $64$luvio_engine_IngestPath, luvio: $64$luvio_engine_Luvio, store: $64$luvio_engine_Store, timestamp: number): RelatedListRecordsInputRepresentationNormalized;
export declare const select: () => $64$luvio_engine_FragmentSelection;
export declare function equals(existing: RelatedListRecordsInputRepresentationNormalized, incoming: RelatedListRecordsInputRepresentationNormalized): boolean;
export declare const ingest: $64$luvio_engine_ResourceIngest;
export declare function getTypeCacheKeys(rootKeySet: $64$luvio_engine_DurableStoreKeyMetadataMap, luvio: $64$luvio_engine_Luvio, input: RelatedListRecordsInputRepresentation, fullPathFactory: () => string | $64$luvio_engine_NormalizedKeyMetadata): void;
/**
 * Query (using POST) for records in a related list.
 *
 * Keys:
 *    (none)
 */
export interface RelatedListRecordsInputRepresentationNormalized {
    /** Additional fields queried for the records returned.  If the field is not available to the user, an error occurs. */
    fields?: Array<string>;
    /** Additional fields queried for the records returned.  If the field is not available to the user, no error occurs and the field isn’t included in the records. */
    optionalFields?: Array<string>;
    /** The number of list records viewed at one time.  The default value is 50. Value can be 1–2000. */
    pageSize?: number;
    /** A token from a previous query that indicates the record where this query should begin. */
    pageToken?: string;
    /** The API name of the field the list view is sorted by.  If the name is preceded with -, the sort order is descending. */
    sortBy?: Array<string>;
    /** Filter the records returned.  The value is in GraphQL syntax. */
    where?: string;
}
/**
 * Query (using POST) for records in a related list.
 *
 * Keys:
 *    (none)
 */
export interface RelatedListRecordsInputRepresentation {
    fields?: Array<string>;
    optionalFields?: Array<string>;
    pageSize?: number;
    pageToken?: string;
    sortBy?: Array<string>;
    where?: string;
}
