import { IngestPath as $64$luvio_engine_IngestPath, Luvio as $64$luvio_engine_Luvio, Store as $64$luvio_engine_Store, FragmentSelection as $64$luvio_engine_FragmentSelection, ResourceIngest as $64$luvio_engine_ResourceIngest, DurableStoreKeyMetadataMap as $64$luvio_engine_DurableStoreKeyMetadataMap, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata } from '@luvio/engine';
export declare const VERSION = "4d4bdab5d0aa61e365e766409c9b3a31";
export declare function validate(obj: any, path?: string): TypeError | null;
export declare const RepresentationType: string;
export declare function normalize(input: RelatedListReferenceRepresentation, existing: RelatedListReferenceRepresentationNormalized, path: $64$luvio_engine_IngestPath, luvio: $64$luvio_engine_Luvio, store: $64$luvio_engine_Store, timestamp: number): RelatedListReferenceRepresentationNormalized;
export declare const select: () => $64$luvio_engine_FragmentSelection;
export declare function equals(existing: RelatedListReferenceRepresentationNormalized, incoming: RelatedListReferenceRepresentationNormalized): boolean;
export declare const ingest: $64$luvio_engine_ResourceIngest;
export declare function getTypeCacheKeys(rootKeySet: $64$luvio_engine_DurableStoreKeyMetadataMap, luvio: $64$luvio_engine_Luvio, input: RelatedListReferenceRepresentation, fullPathFactory: () => string | $64$luvio_engine_NormalizedKeyMetadata): void;
/**
 * RelatedListReferenceRepresentation
 *
 * Keys:
 *    (none)
 */
export interface RelatedListReferenceRepresentationNormalized {
    /** List view id. */
    id: string | null;
    /** The parent record for a related list. */
    inContextOfRecordId: string | null;
    /** The list view or related list api name.  E.g. "AllAccounts" for a listview or "Contacts" for a related list. */
    listViewApiName: string | null;
    /** Entity API name for list view. */
    objectApiName: string | null;
    /** The object API name for the parent of a related list. */
    parentObjectApiName: string;
    /** The record type id for the parent of a related list. */
    recordTypeId: string | null;
    /** The id of the related list. */
    relatedListId: string;
    /** Type of the list view. */
    type: string;
}
/**
 * RelatedListReferenceRepresentation
 *
 * Keys:
 *    (none)
 */
export interface RelatedListReferenceRepresentation {
    id: string | null;
    inContextOfRecordId: string | null;
    listViewApiName: string | null;
    objectApiName: string | null;
    parentObjectApiName: string;
    recordTypeId: string | null;
    relatedListId: string;
    type: string;
}
