import { SearchFieldFilterAttributesRepresentation as SearchFieldFilterAttributesRepresentation_SearchFieldFilterAttributesRepresentation } from './SearchFieldFilterAttributesRepresentation';
import { SearchFilterOptionRepresentation as SearchFilterOptionRepresentation_SearchFilterOptionRepresentation } from './SearchFilterOptionRepresentation';
import { IngestPath as $64$luvio_engine_IngestPath, Luvio as $64$luvio_engine_Luvio, Store as $64$luvio_engine_Store, FragmentSelection as $64$luvio_engine_FragmentSelection, ResourceIngest as $64$luvio_engine_ResourceIngest, DurableStoreKeyMetadataMap as $64$luvio_engine_DurableStoreKeyMetadataMap, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata } from '@luvio/engine';
export declare const VERSION = "1af03aae58e04198cb5fcba0871b6534";
export declare function validate(obj: any, path?: string): TypeError | null;
export declare const RepresentationType: string;
export declare function normalize(input: SearchFieldFilterSelectAttributesRepresentation, existing: SearchFieldFilterSelectAttributesRepresentationNormalized, path: $64$luvio_engine_IngestPath, luvio: $64$luvio_engine_Luvio, store: $64$luvio_engine_Store, timestamp: number): SearchFieldFilterSelectAttributesRepresentationNormalized;
export declare const select: () => $64$luvio_engine_FragmentSelection;
export declare function equals(existing: SearchFieldFilterSelectAttributesRepresentationNormalized, incoming: SearchFieldFilterSelectAttributesRepresentationNormalized): boolean;
export declare const ingest: $64$luvio_engine_ResourceIngest;
export declare function getTypeCacheKeys(rootKeySet: $64$luvio_engine_DurableStoreKeyMetadataMap, luvio: $64$luvio_engine_Luvio, input: SearchFieldFilterSelectAttributesRepresentation, fullPathFactory: () => string | $64$luvio_engine_NormalizedKeyMetadata): void;
/**
 * Attributes for Select affordances.
 *
 * Keys:
 *    (none)
 */
export interface SearchFieldFilterSelectAttributesRepresentationNormalized extends SearchFieldFilterAttributesRepresentation_SearchFieldFilterAttributesRepresentation {
    /** Indicates if this select has static options. */
    isStatic: boolean;
    /** Indicates how many values are required. By default: 0 */
    minNumValues: number;
    /** Indicates if this select allows multiple values selection */
    multiple: boolean;
    /** Static options that will populate the select filter. */
    staticOptions: Array<SearchFilterOptionRepresentation_SearchFilterOptionRepresentation>;
}
/**
 * Attributes for Select affordances.
 *
 * Keys:
 *    (none)
 */
export interface SearchFieldFilterSelectAttributesRepresentation extends SearchFieldFilterAttributesRepresentation_SearchFieldFilterAttributesRepresentation {
    isStatic: boolean;
    minNumValues: number;
    multiple: boolean;
    staticOptions: Array<SearchFilterOptionRepresentation_SearchFilterOptionRepresentation>;
    affordance: 'Select';
}
