import { IngestPath as $64$luvio_engine_IngestPath, Luvio as $64$luvio_engine_Luvio, Store as $64$luvio_engine_Store, FragmentSelection as $64$luvio_engine_FragmentSelection, ResourceIngest as $64$luvio_engine_ResourceIngest, DurableStoreKeyMetadataMap as $64$luvio_engine_DurableStoreKeyMetadataMap, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata } from '@luvio/engine';
export declare const VERSION = "a70590a8d8b9e7f1f9995397ef97ef24";
export declare function validate(obj: any, path?: string): TypeError | null;
export declare const RepresentationType: string;
export declare function normalize(input: SearchFilterInputRepresentation, existing: SearchFilterInputRepresentationNormalized, path: $64$luvio_engine_IngestPath, luvio: $64$luvio_engine_Luvio, store: $64$luvio_engine_Store, timestamp: number): SearchFilterInputRepresentationNormalized;
export declare const select: () => $64$luvio_engine_FragmentSelection;
export declare function equals(existing: SearchFilterInputRepresentationNormalized, incoming: SearchFilterInputRepresentationNormalized): boolean;
export declare const ingest: $64$luvio_engine_ResourceIngest;
export declare function getTypeCacheKeys(rootKeySet: $64$luvio_engine_DurableStoreKeyMetadataMap, luvio: $64$luvio_engine_Luvio, input: SearchFilterInputRepresentation, fullPathFactory: () => string | $64$luvio_engine_NormalizedKeyMetadata): void;
/**
 * Input parameters to pilot filtering of our results
 *
 * Keys:
 *    (none)
 */
export interface SearchFilterInputRepresentationNormalized {
    /** Field path where we should apply the filter */
    fieldPath: string;
    /** Object where we should apply the filter */
    objectApiName?: string;
    /** Operator to use on the <objectapiName,fieldPath> */
    operator: string;
    /** Values of the filter */
    values: Array<string | number | boolean>;
}
/**
 * Input parameters to pilot filtering of our results
 *
 * Keys:
 *    (none)
 */
export interface SearchFilterInputRepresentation {
    fieldPath: string;
    objectApiName?: string;
    operator: string;
    values: Array<string | number | boolean>;
}
