import { SearchRecordHighlightRepresentation as SearchRecordHighlightRepresentation_SearchRecordHighlightRepresentation } from './SearchRecordHighlightRepresentation';
import { SearchRecordInfoRepresentation as SearchRecordInfoRepresentation_SearchRecordInfoRepresentation } from './SearchRecordInfoRepresentation';
import { IngestPath as $64$luvio_engine_IngestPath, Luvio as $64$luvio_engine_Luvio, Store as $64$luvio_engine_Store, ResourceIngest as $64$luvio_engine_ResourceIngest, FragmentSelection as $64$luvio_engine_FragmentSelection, LinkSelection as $64$luvio_engine_LinkSelection, StoreLink as $64$luvio_engine_StoreLink, DurableStoreKeyMetadataMap as $64$luvio_engine_DurableStoreKeyMetadataMap, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata } from '@luvio/engine';
import { RecordRepresentation as RecordRepresentation_RecordRepresentation } from './RecordRepresentation';
export declare const VERSION = "b0dfc742bb2dab1c3c2399eab4c13412";
export declare function validate(obj: any, path?: string): TypeError | null;
export declare const RepresentationType: string;
export declare function normalize(input: SearchResultRepresentation, existing: SearchResultRepresentationNormalized, path: $64$luvio_engine_IngestPath, luvio: $64$luvio_engine_Luvio, store: $64$luvio_engine_Store, timestamp: number): SearchResultRepresentationNormalized;
export interface DynamicIngestParams {
    record: $64$luvio_engine_ResourceIngest;
}
export declare function dynamicNormalize(ingestParams: DynamicIngestParams): (input: SearchResultRepresentation, existing: SearchResultRepresentationNormalized, path: $64$luvio_engine_IngestPath, luvio: $64$luvio_engine_Luvio, store: $64$luvio_engine_Store, timestamp: number) => SearchResultRepresentationNormalized;
export declare const select: () => $64$luvio_engine_FragmentSelection;
export interface DynamicSelectParams {
    record?: $64$luvio_engine_LinkSelection;
}
export declare const dynamicSelect: (params: DynamicSelectParams) => $64$luvio_engine_FragmentSelection;
export declare function equals(existing: SearchResultRepresentationNormalized, incoming: SearchResultRepresentationNormalized): boolean;
export declare const ingest: $64$luvio_engine_ResourceIngest;
export declare function getTypeCacheKeys(rootKeySet: $64$luvio_engine_DurableStoreKeyMetadataMap, luvio: $64$luvio_engine_Luvio, input: SearchResultRepresentation, fullPathFactory: () => string | $64$luvio_engine_NormalizedKeyMetadata): void;
export declare function dynamicIngest(ingestParams: DynamicIngestParams): $64$luvio_engine_ResourceIngest;
/**
 * Record with search metadata
 *
 * Keys:
 *    (none)
 */
export interface SearchResultRepresentationNormalized {
    /** Related search highlight */
    highlightInfo?: SearchRecordHighlightRepresentation_SearchRecordHighlightRepresentation;
    /** Record found in Search */
    record: $64$luvio_engine_StoreLink;
    /** Related search info */
    searchInfo: SearchRecordInfoRepresentation_SearchRecordInfoRepresentation;
}
/**
 * Record with search metadata
 *
 * Keys:
 *    (none)
 */
export interface SearchResultRepresentation {
    highlightInfo?: SearchRecordHighlightRepresentation_SearchRecordHighlightRepresentation;
    record: RecordRepresentation_RecordRepresentation;
    searchInfo: SearchRecordInfoRepresentation_SearchRecordInfoRepresentation;
}
