import { IngestPath as $64$luvio_engine_IngestPath, Luvio as $64$luvio_engine_Luvio, Store as $64$luvio_engine_Store, ResourceIngest as $64$luvio_engine_ResourceIngest, FragmentSelection as $64$luvio_engine_FragmentSelection, LinkSelection as $64$luvio_engine_LinkSelection, StoreLink as $64$luvio_engine_StoreLink, DurableStoreKeyMetadataMap as $64$luvio_engine_DurableStoreKeyMetadataMap, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata } from '@luvio/engine';
import { ListInfoRepresentation as ListInfoRepresentation_ListInfoRepresentation } from './ListInfoRepresentation';
export declare const VERSION = "a5956bfb6ac4fba61ce9e2f35e7e98c3";
export declare function validate(obj: any, path?: string): TypeError | null;
export declare const RepresentationType: string;
export declare function normalize(input: SimpleListInfoResultRepresentation, existing: SimpleListInfoResultRepresentationNormalized, path: $64$luvio_engine_IngestPath, luvio: $64$luvio_engine_Luvio, store: $64$luvio_engine_Store, timestamp: number): SimpleListInfoResultRepresentationNormalized;
export interface DynamicIngestParams {
    result: $64$luvio_engine_ResourceIngest;
}
export declare function dynamicNormalize(ingestParams: DynamicIngestParams): (input: SimpleListInfoResultRepresentation, existing: SimpleListInfoResultRepresentationNormalized, path: $64$luvio_engine_IngestPath, luvio: $64$luvio_engine_Luvio, store: $64$luvio_engine_Store, timestamp: number) => SimpleListInfoResultRepresentationNormalized;
export declare const select: () => $64$luvio_engine_FragmentSelection;
export interface DynamicSelectParams {
    result?: $64$luvio_engine_LinkSelection;
}
export declare const dynamicSelect: (params: DynamicSelectParams) => $64$luvio_engine_FragmentSelection;
export declare function equals(existing: SimpleListInfoResultRepresentationNormalized, incoming: SimpleListInfoResultRepresentationNormalized): boolean;
export declare const ingest: $64$luvio_engine_ResourceIngest;
export declare function getTypeCacheKeys(rootKeySet: $64$luvio_engine_DurableStoreKeyMetadataMap, luvio: $64$luvio_engine_Luvio, input: SimpleListInfoResultRepresentation, fullPathFactory: () => string | $64$luvio_engine_NormalizedKeyMetadata): void;
export declare function dynamicIngest(ingestParams: DynamicIngestParams): $64$luvio_engine_ResourceIngest;
/**
 *
 *
 * Keys:
 *    (none)
 */
export interface SimpleListInfoResultRepresentationNormalized {
    /** object wrapper around inner representation */
    result: $64$luvio_engine_StoreLink;
    /** An HTTP status code indicating the status of this individual request in the batch. */
    statusCode: number;
}
interface SimpleListInfoResultRepresentationUnknown {
    statusCode: 100 | 101 | 102 | 103 | 201 | 202 | 203 | 204 | 205 | 206 | 207 | 208 | 226 | 300 | 301 | 302 | 303 | 304 | 305 | 306 | 307 | 308 | 400 | 401 | 402 | 403 | 404 | 405 | 406 | 407 | 408 | 409 | 410 | 411 | 412 | 413 | 414 | 415 | 416 | 417 | 421 | 422 | 423 | 424 | 425 | 426 | 428 | 429 | 431 | 451 | 500 | 501 | 502 | 503 | 504 | 505 | 506 | 507 | 508 | 510 | 511;
    result: unknown;
}
interface SimpleListInfoResultRepresentationListInfoRepresentation {
    statusCode: 200;
    result: ListInfoRepresentation_ListInfoRepresentation;
}
/**
 *
 *
 * Keys:
 *    (none)
 */
export type SimpleListInfoResultRepresentation = SimpleListInfoResultRepresentationUnknown | SimpleListInfoResultRepresentationListInfoRepresentation;
export {};
