import type { Luvio, IngestPath, StoreRecordError, ProxyGraphNode } from '@luvio/engine';
import type { RecordRepresentationNormalized, RecordRepresentation } from '../../generated/types/RecordRepresentation';
import type { RecordConflictMap } from './resolveConflict';
export type RecordProxyGraphNode = ProxyGraphNode<RecordRepresentationNormalized, RecordRepresentation>;
declare function mergePendingFields(newRecord: RecordRepresentationNormalized, oldRecord: RecordRepresentationNormalized, existingNode?: RecordProxyGraphNode): RecordRepresentationNormalized;
export default function merge(existing: RecordRepresentationNormalized | undefined | StoreRecordError, incoming: RecordRepresentationNormalized, luvio: Luvio, _path: IngestPath, recordConflictMap: RecordConflictMap): RecordRepresentationNormalized;
export declare function dependencyKeyBuilder(config: {
    /** The ID of this record. */
    recordId: string;
}): string;
export declare const forTesting: {
    mergePendingFields: typeof mergePendingFields;
};
export {};
