import type { PathSelection } from '@luvio/engine';
import type { RecordFieldTrie } from '../util/records';
import type { RecordRepresentation } from '../generated/types/RecordRepresentation';
import type { FieldMapRepresentation } from '../util/fields';
export declare function isSpanningRecord(fieldValue: null | string | number | boolean | RecordRepresentation): fieldValue is RecordRepresentation;
export declare function createRecordSelection(fieldDefinition: RecordFieldTrie): PathSelection[];
/**
 * Convert a list of fields and optional fields into RecordRepresentation its equivalent
 * selection.
 */
export declare function buildSelectionFromFields(fields: string[], optionalFields?: string[]): PathSelection[];
/**
 * Convert a RecordRepresentationLike into its equivalent selection.
 */
export declare function buildSelectionFromRecord(record: FieldMapRepresentation): PathSelection[];
