interface ThrottleOptions {
    allowFunction: Function;
    dropFunction: Function;
}
/**
 * Limit the frequency and the duration that a function is invoked.
 *
 * @param invokeLimit The frequency a function could be invoked.
 * @param timeLimit The duration a function could be invoked with the rate limit, in milliseconds.
 * @param fn The function to be invoked.
 * @param options Extra options for instrumentation, logging, or bookkeeping purposes.
 * @returns The wrapped rate limited function.
 */
export declare function throttle<T extends any[], R extends any>(invokeLimit: number, timeLimit: number, fn: (...args: T) => R, options?: ThrottleOptions): (...args: T) => R | void;
export {};
