import type { BuildNetworkSnapshot, Luvio } from '@luvio/engine';
/**
 * Returns a BuildNetworkSnapshot function that always returns a Promise<ErrorSnapshot>.
 *
 * @param luvio Luvio instance
 * @param status status code for ErrorSnapshot, defaults to 400
 * @param statusText status text for ErrorSnapshot, defaults to 'data is not fetchable'
 * @returns BuildNetworkSnapshot that always returns Promise<ErrorSnapshot>
 */
export declare function buildNotFetchableNetworkSnapshot<C, D>(luvio: Luvio, status?: number, statusText?: string): BuildNetworkSnapshot<C, D>;
